Index: ./libs/libmythtv/videoout_ivtv.cpp
===================================================================
RCS file: /var/lib/mythcvs/mythtv/libs/libmythtv/videoout_ivtv.cpp,v
retrieving revision 1.30
diff -u -r1.30 videoout_ivtv.cpp
@@ -533,6 +541,29 @@
     return frameinfo.frame;
 }
 
+#ifdef __FreeBSD__
+/* roundf(x)
+ * Round to nearest integral value.  If the argument is halfway between two
+ * integral values then round away from zero.
+ */
+
+float
+roundf(float x)
+{
+       float t;
+
+       if (x >= 0.0) {
+               t = ceilf(x);
+               if (t - x > 0.5) t -= 1.0;
+               return t;
+       } else {
+               t = ceilf(-x);
+               if (t + x > 0.5) t -= 1.0;
+               return -t;
+       }
+}
+#endif /* __FreeBSD */
+
 bool VideoOutputIvtv::Play(float speed, bool normal)
 {
     if (speed > 3.0)
